Bug 1249467 - [lshw] no disks found on SmartArray 5 (cciss) controller
[lshw] no disks found on SmartArray 5 (cciss) controller
Status: NEW
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
20
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 01:31 EDT by Dan Callaghan
Modified: 2015-11-17 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2015-08-03 01:31:13 EDT
XML for the RAID controller is:

<node id="raid" claimed="true" class="storage" handle="SCSI:02">
    <description>RAID bus controller</description>
    <product>Smart Array 5i/532 [E11:B178]</product>
    <vendor>Compaq Computer Corporation [E11]</vendor>
    <physid>4</physid>
    <subsysproduct>Smart Array 5i [E11:4080]</subsysproduct>
    <subsysvendor>Compaq Computer Corporation [E11]</subsysvendor>
    <businfo>pci@0000:02:04.0</businfo>
    <logicalname>scsi2</logicalname>
    <version>01</version>
    <width units="bits">64</width>
    <clock units="Hz">66000000</clock>
    <configuration>
        <setting id="driver" value="cciss"/>
        <setting id="latency" value="71"/>
    </configuration>
    <capabilities>
        <capability id="raid"/>
        <capability id="pm">Power Management</capability>
        <capability id="msi">Message Signalled Interrupts</capability>
        <capability id="pcix">PCI-X</capability>
        <capability id="bus_master">bus mastering</capability>
        <capability id="cap_list">PCI capabilities listing</capability>
        <capability id="rom">extension ROM</capability>
        <capability id="scsi-host">SCSI host adapter</capability>
    </capabilities>
    <resources>
        <resource type="irq" value="18"/>
        <resource type="memory" value="f7fc0000-f7ffffff"/>
        <resource type="ioport" value="5000(size=256)"/>
        <resource type="memory" value="f5ef0000-f5ef3fff(prefetchable)"/>
        <resource type="memory" value="f5e00000-f5e03fff(prefetchable)"/>
    </resources>
    <hints>
        <hint name="icon" value="raid"/>
        <hint name="pci.class" value="0x104"/>
        <hint name="pci.device" value="0xB178"/>
        <hint name="pci.subdevice" value="0x4080"/>
        <hint name="pci.subvendor" value="0xE11"/>
        <hint name="pci.vendor" value="0xE11"/>
    </hints>
</node>
Comment 2 Dan Callaghan 2015-08-06 00:00:55 EDT
See also bug 1213195. The same/a similar fix might be needed in lshw.

Note You need to log in before you can comment on or make changes to this bug.